#!/bin/sh

if [ $# -ne 5 ]; then
	make all
        exit 2
fi

MILTER="$1"
USER="$2"
GROUP="$3"
BINDIR="$4"
STATEDIR="$5"

mkdir -p ${STATEDIR}
chown ${USER} ${STATEDIR}
chgrp ${GROUP} ${STATEDIR}

cp -f ${MILTER} ${BINDIR}
chown ${USER} ${BINDIR}/${MILTER}
chgrp ${GROUP} ${BINDIR}/${MILTER}

case `uname -s` in
*BSD*)
	RC="/usr/local/etc/rc.d/${MILTER}.sh"
	if [ ! -f $RC ]; then
		cp ${MILTER}.sh $RC
		chmod 540 $RC
	fi
	;;
Linux*)
	if [ -d '/etc/rc.d/init.d' ]; then
		# Most Linux systems.
		RC="/etc/rc.d/init.d/${MILTER}"
	elif [ -d '/etc/init.d' ]; then
		# Debian 3.0 Linux system.
		RC="/etc/init.d/${MILTER}"
	else
		echo '***************************************************************'
		printf '033[1;4mYou must install your own startup script.033[0m\n'
		echo '***************************************************************'
		exit 1
	fi
	
	if [ ! -f $RC ]; then
		cp ${MILTER}.sh $RC
		chmod 540 $RC
		chkconfig --add ${MILTER}
	fi
	;;
SunOS*)
	RC="/etc/rc2.d/S70${MILTER}"
 	if [ ! -f $RC ]; then
		cp ${MILTER}.sh $RC
		chmod 540 $RC
		ln -s $RC /etc/rcS.d/K30${MILTER}
	fi
	;;
*)
	echo '***************************************************************'
	printf '033[1;4mYou must install your own startup script.033[0m\n'
	echo '***************************************************************'
	;;
esac

echo '***************************************************************'
echo
echo 'Remember to check the command-line options in the file:'
echo
echo "    $RC"
echo
echo "Modify your sendmail.mc with the contents of ${MILTER}.mc,"
echo "rebuild sendmail.cf, start ${MILTER}, and restart sendmail."
echo
echo '***************************************************************'
echo
